Edge: You'll need a new app to open this zoommtg/vsee

Support Center > Troubleshooting Connection Issues

Published 12/02/2015 at 3:27pm UTC

Page viewed 7102 times

Symptom

When trying to either enter or join a session using Edge, you see this message: You'll need a new app to open this

 

You'll need a new app to open this zoommtg link         You'll need a new app to open this vsee

Possible Causes

Edge throws this error when it cannot find the video application to launch, because it is either not installed yet, or has become uninstalled. You will need to install the appropriate video app using the Install button in the lower left hand corner of your dashboard or the waiting room page.

 

Resolution

See our support article for instructions to

 

This article was last reviewed by our Support team on February 12, 2020.